TextToSpeechLoadUserDictionary(3dtk)

Name

TextToSpeechLoadUserDictionary - Loads a user-defined pronunciation dictionary into the text-to-speech system.

Syntax
    MMRESULT TextToSpeechLoadUserDictionary (LPTTS_HANDLE_T phTTS,
                                            LPSTR pszFileName)

Parameters

LPTTS_HANDLE_T phTTS
    Specifies an opened text-to-speech handle.

LPSTR pszFileName
    Specifies a pointer to a NULL-terminated string that specifies the name of the user dictionary file to be loaded.

Description

This function loads a dictionary created by the windict or userdict applet into the text-to-speech system. Any previously loaded user dictionary must be unloaded before loading a new user dictionary. Note that the text-to-speech system will automatically load a user dictionary, udict_xx.dic (Linux) or user.dic (Tru64 UNIX), at startup if it exists in the home directory.

Return Values

This function returns a value of type MMRESULT. The return value is zero if the function is successful. The return value is one of the following constants:

Constant | Description
MMSYSERR_NOERROR
 | Normal successful completion (zero).
MMSYSERR_INVALHANDLE
 | The text-to-speech handle was invalid.
MMSYSERR_NOMEM
 | Unable to allocate memory for the dictionary.
MMSYSERR_INVALPARAM
 | Dictionary file not found or an invalid dictionary file name.
MMSYSERR_ERROR
 | Illegal dictionary format or a dictionary is already loaded.

See Also

Dictionary Functions (DECtalk Software Programmer's Guide)

TextToSpeechUnloadUserDictionary(3dtk)